Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType jms-session-poolType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}jms-session-poolType

Model
  `<...>
  name?, notes?, jms-connection-consumer*, connection-factory?, listener-class?, acknowledge-mode?, sessions-maximum?, transacted?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This class represents a JMS session pool, a server-managed pool of server sessions that enables an application to process messages concurrently.

  MBean: `JMSSessionPoolMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`anyType` | `jms-connection-consumer` 0...∞ The connection consumers for this JMS session pool.
`string` | `connection-factory` optional The JNDI name of the connection factory for this JMS session pool.
`string` | `listener-class` optional The name of the server-side listener class for this JMS session pool, which is used to receive and process messages concurrently.
`annonymous type derived from string` | `acknowledge-mode` optional The acknowledge mode used by non-transacted sessions within this JMS session pool.
`annonymous type derived from int` | `sessions-maximum` optional The maximum number of sessions allowed for this JMS session pool.
`boolean` | `transacted` optional This class represents a JMS session pool, a server-managed pool of server sessions that enables an application to process messages concurrently.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1